Subject: bug#16441: closed (Re: bug#16222: Installing ELPA packages complains about :keywords in define-package)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Jan 2014 17:05:06 +0000

Your bug report

#16222: 24.3; package-install js2-mode doesn't put a ' before the keywords list

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16222: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16222
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16222: Installing ELPA packages complains about :keywords in define-package
From: Dmitry Gutov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Juanma Barranquero <[email-masked]>, [email-masked]
Date: Thu, 16 Jan 2014 19:04:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 16.01.2014 18:18, Stefan Monnier wrote:
> So I removed the 2 packages that suffered from this problem (the latest
> js2-mode and company) and forced a manual rebuild of them.  At least on
> the elpa.gnu.org side, this is fixed now, indeed.

Thank you, it looks fine now.

I've made `package-desc-keywords' private so that someone can implement 
a more general solution later, but the immediate issue seems to be fixed.

Subject: 24.3; package-install js2-mode doesn't put a ' before the keywords list
From: Kevin Brubeck Unhammer <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jan 2014 14:40:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

M-x package-install RET js2-mode RET

gives

js2-mode-pkg.el:2:1:Warning: `"languages"' is a malformed function

after creating this js2-mode-pkg.el:

;; Generated package description from js2-mode.el
(define-package "js2-mode" "20140114" "Improved JavaScript editing mode" '((emacs "24.1")) :url "https://github.com/mooz/js2-mode/" :keywords ("languages" "javascript"))

which e.g. leads to errors on next emacs startup. Adding a ' before the
keywords list (and deleting the .elc) is a workaround. I don't see the
error in js2-mode.el that would cause this:

$ head -13 js2-mode.el
;;; js2-mode.el --- Improved JavaScript editing mode

;; Copyright (C) 2009, 2011-2014  Free Software Foundation, Inc.

;; Author: Steve Yegge <[email-masked]>
;;         mooz <[email-masked]>
;;         Dmitry Gutov <[email-masked]>
;; URL:  https://github.com/mooz/js2-mode/
;;       http://code.google.com/p/js2-mode/
;; Version: 20140114
;; Keywords: languages, javascript
;; Package-Requires: ((emacs "24.1"))

but in any case, 'package should probably handle this better.

In GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2013-08-15 on kiwiarch
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
Configured using:
 `configure '--prefix=/usr' '--sysconfdir=/etc' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--with-x-toolkit=lucid' '--with-xft'
 '--without-gconf' '--without-gsettings' 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: nn_NO.UTF-8
  locale-coding-system: utf-8
  default enable-multibyte-characters: t

-- 
Kevin Brubeck Unhammer

GPG: 0x766AC60C